%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           bzr
Version:        0.9
Release:        1%{?dist}
Summary:        Friendly distributed version control system

Group:          Development/Tools
License:        GPL
URL:            http://www.bazaar-ng.org/
Source0:        http://www.bazaar-ng.org/pkg/%{name}-%{version}.tar.gz
Patch0:         bzr-sys-etree.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  python-devel python-elementtree
Requires:   python-abi = %(%{__python} -c "import sys ; print sys.version[:3]")
Requires:   python-elementtree python-paramiko

%description
Bazaar-NG is a distributed revision control system that is powerful, friendly,
and scalable. It is the successor of the bazaar RCS which, in turn, was
a user-friendly reimplementation of GNU Arch.


%prep
%setup -q
%patch0 -p1

%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --install-data %{_datadir} --root $RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc HACKING NEWS README NEWS.developers TODO doc/
%{_bindir}/bzr
%{_mandir}/man1/*

%dir %{python_sitelib}/bzrlib
%{python_sitelib}/bzrlib/*.py
%{python_sitelib}/bzrlib/*.pyc
%{python_sitelib}/bzrlib/*.pyo

%dir %{python_sitelib}/bzrlib/benchmarks
%{python_sitelib}/bzrlib/benchmarks/*.py
%{python_sitelib}/bzrlib/benchmarks/*.pyc
%{python_sitelib}/bzrlib/benchmarks/*.pyo

%dir %{python_sitelib}/bzrlib/bundle
%{python_sitelib}/bzrlib/bundle/*.py
%{python_sitelib}/bzrlib/bundle/*.pyc
%{python_sitelib}/bzrlib/bundle/*.pyo

%dir %{python_sitelib}/bzrlib/bundle/serializer
%{python_sitelib}/bzrlib/bundle/serializer/*.py
%{python_sitelib}/bzrlib/bundle/serializer/*.pyc
%{python_sitelib}/bzrlib/bundle/serializer/*.pyo

%dir %{python_sitelib}/bzrlib/doc
%{python_sitelib}/bzrlib/doc/*.py
%{python_sitelib}/bzrlib/doc/*.pyc
%{python_sitelib}/bzrlib/doc/*.pyo

%dir %{python_sitelib}/bzrlib/doc/api
%{python_sitelib}/bzrlib/doc/api/*.py
%{python_sitelib}/bzrlib/doc/api/*.pyc
%{python_sitelib}/bzrlib/doc/api/*.pyo

%dir %{python_sitelib}/bzrlib/export
%{python_sitelib}/bzrlib/export/*.py
%{python_sitelib}/bzrlib/export/*.pyc
%{python_sitelib}/bzrlib/export/*.pyo

%dir %{python_sitelib}/bzrlib/plugins
%{python_sitelib}/bzrlib/plugins/*.py
%{python_sitelib}/bzrlib/plugins/*.pyc
%{python_sitelib}/bzrlib/plugins/*.pyo

%dir %{python_sitelib}/bzrlib/plugins/launchpad
%{python_sitelib}/bzrlib/plugins/launchpad/*.py
%{python_sitelib}/bzrlib/plugins/launchpad/*.pyc
%{python_sitelib}/bzrlib/plugins/launchpad/*.pyo

%dir %{python_sitelib}/bzrlib/util
%{python_sitelib}/bzrlib/util/*.py
%{python_sitelib}/bzrlib/util/*.pyc
%{python_sitelib}/bzrlib/util/*.pyo

%dir %{python_sitelib}/bzrlib/util/configobj
%{python_sitelib}/bzrlib/util/configobj/*.py
%{python_sitelib}/bzrlib/util/configobj/*.pyc
%{python_sitelib}/bzrlib/util/configobj/*.pyo

%dir %{python_sitelib}/bzrlib/transport
%{python_sitelib}/bzrlib/transport/*.py
%{python_sitelib}/bzrlib/transport/*.pyc
%{python_sitelib}/bzrlib/transport/*.pyo

%dir %{python_sitelib}/bzrlib/store
%{python_sitelib}/bzrlib/store/*.py
%{python_sitelib}/bzrlib/store/*.pyc
%{python_sitelib}/bzrlib/store/*.pyo

%dir %{python_sitelib}/bzrlib/store/revision
%{python_sitelib}/bzrlib/store/revision/*.py
%{python_sitelib}/bzrlib/store/revision/*.pyc
%{python_sitelib}/bzrlib/store/revision/*.pyo

%dir %{python_sitelib}/bzrlib/store/versioned
%{python_sitelib}/bzrlib/store/versioned/*.py
%{python_sitelib}/bzrlib/store/versioned/*.pyc
%{python_sitelib}/bzrlib/store/versioned/*.pyo

%dir %{python_sitelib}/bzrlib/transport/http
%{python_sitelib}/bzrlib/transport/http/*.py
%{python_sitelib}/bzrlib/transport/http/*.pyc
%{python_sitelib}/bzrlib/transport/http/*.pyo

%dir %{python_sitelib}/bzrlib/ui
%{python_sitelib}/bzrlib/ui/*.py
%{python_sitelib}/bzrlib/ui/*.pyc
%{python_sitelib}/bzrlib/ui/*.pyo

%dir %{python_sitelib}/bzrlib/util/effbot/org
%{python_sitelib}/bzrlib/util/effbot/org/*.py
%{python_sitelib}/bzrlib/util/effbot/org/*.pyc
%{python_sitelib}/bzrlib/util/effbot/org/*.pyo

%dir %{python_sitelib}/bzrlib/tests
%{python_sitelib}/bzrlib/tests/*

%changelog
* Fri Aug 11 2006 Shahms E. King <shahms@shahms.com> 0.9-1
- Update to new upstream

* Fri Aug 11 2006 Shahms E. King <shahms@shahms.com> 0.8.2-3
- Include, don't ghost .pyo files per new guidelines

* Mon Jun 26 2006 Shahms E. King <shahms@shahms.com> 0.8.2-2
- Require python-paramiko for sftp support

* Tue May 23 2006 Shahms E. King <shahms@shahms.com> 0.8.2-1
- Update to new upstream version
- Fix dist tag

* Wed May 10 2006 Shahms E. King <shahms@shahms.com> 0.8-1
- Update to new upstream version
- Update bzr-sys-etree.patch for changes

* Mon Feb 13 2006 Shahms E. King <shahms@shahms.com> 0.7-3
- Add python-elementtree to BuildRequires

* Mon Feb 13 2006 Shahms E. King <shahms@shahms.com> 0.7-2
- Add dist tag

* Fri Feb 10 2006 Shahms E. King <shahms@shahms.com> 0.7-1
- Update to 0.7

* Thu Jan 26 2006 Shahms E. King <shahms@shahms.com> 0.6.2-2
- Fix system library patch

* Wed Dec 07 2005 Shahms E. King <shahms@shahms.com> 0.6.2-1
- Initial package
